package com.company.restapijmixtest;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = RuleItemVariantClassValidator.class)
public @interface RuleItemVariant {
    String message() default "{msg://com.company.restapijmixtest.entity/validation.validItemVariant}";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
