package com.company.restapijmixtest;

import com.company.restapijmixtest.entity.Item;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

public class RuleItemVariantClassValidator implements ConstraintValidator<RuleItemVariant, RuleItemVariantClassInterface>{
    @Override
    public boolean isValid(RuleItemVariantClassInterface value, ConstraintValidatorContext context) {

        Item item = value.getItem();
        return item.getHasVariations();
    }
}
