package com.company.restapijmixtest.entity;

import com.company.restapijmixtest.RuleItemVariant;
import com.company.restapijmixtest.RuleItemVariantClassInterface;
import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.*;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.groups.Default;

import java.util.UUID;

@RuleItemVariant(groups = {Default.class, io.jmix.core.validation.group.UiCrossFieldChecks.class})
@JmixEntity
@Table(name = "ITEM_VARIANT", indexes = {
        @Index(name = "IDX_ITEM_VARIANT_ITEM", columnList = "ITEM_ID")
})
@Entity
public class ItemVariant implements RuleItemVariantClassInterface {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @JoinColumn(name = "ITEM_ID", nullable = false)
    @NotNull
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private Item item;

    @InstanceName
    @Column(name = "CODE")
    private String code;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Item getItem() {
        return item;
    }

    public void setItem(Item item) {
        this.item = item;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}