package com.company.restapijmixtest.view.item;

import com.company.restapijmixtest.entity.Item;

import com.company.restapijmixtest.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "items", layout = MainView.class)
@ViewController("Item.list")
@ViewDescriptor("item-list-view.xml")
@LookupComponent("itemsDataGrid")
@DialogMode(width = "64em")
public class ItemListView extends StandardListView<Item> {
}